> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Listing Batches

> Retrieves published listing batches for the authenticated user's company.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /me/listings/batch
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /me/listings/batch:
    get:
      tags:
        - Listings
      summary: List Listing Batches
      description: >-
        Retrieves published listing batches for the authenticated user's
        company.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/listings.ListingBatch'
                type: array
          description: Successfully retrieved listing batches
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: Internal server error
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    listings.ListingBatch:
      properties:
        batch_count:
          description: Number of Listings Published
          type: integer
        batch_id:
          description: Batch ID
          type: string
        company_id:
          type: string
        created_at:
          type: string
        headers_norm:
          items:
            type: string
          type: array
        headers_raw:
          items:
            type: string
          type: array
        name:
          description: File Name
          type: string
        publish_public_key:
          description: Publisher Public Key
          type: string
        publish_urls:
          description: Node URL's batch was published to
          items:
            type: string
          type: array
        upload_public_key:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````